Import Twilio number
Import an existing Twilio number by providing your Twilio credentials.
Reseller keys only: act as one of your clients by its user id. Omit it to act on your own account. [How acting for a client works](/docs/reseller/your-clients/acting-as-clients).
Phone number in E.164 format (starting with +).
Your Twilio account SID.
Your Twilio auth token.
Optional friendly name for the imported number.
curl -X POST 'https://omnidim.io/api/v1/phone_number/import/twilio' \ -H 'Authorization: Bearer YOUR_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "user_id": 1234, "phone_number": "+12025550123" }'
{ "success": true, "message": "Number added successfully", "id": 3360 }
BearerAuthAuthorizationBearer <token>Bearer token authentication. Obtain your API key from the OmniDimension dashboard.
application/jsonuser_id?ClientUserIdReseller keys only: act as one of your clients by its user id. Omit it to act on your own account. How acting for a client works.
phone_number*stringPhone number in E.164 format (starting with +).
account_sid*stringYour Twilio account SID.
account_token*stringYour Twilio auth token.
name?stringOptional friendly name for the imported number.
Response body
application/jsonTwilio number imported.
application/jsonsuccess?booleanmessage?stringid?integerID of the newly imported phone number record. Use this with /phone_number/attach.
Was this page helpful?
